# Uses of Class
com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase

Packages that use RecyclerPool.StatefulImplBase
Package
Description
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of RecyclerPool.StatefulImplBase in com.fasterxml.jackson.core.util

Subclasses of RecyclerPool.StatefulImplBase in com.fasterxml.jackson.core.util
Modifier and Type
Class
Description
`static class`
`JsonRecyclerPools.BoundedPool`
`RecyclerPool` implementation that uses a bounded queue (`ArrayBlockingQueue` for recycling instances.
`static class`
`JsonRecyclerPools.ConcurrentDequePool`
`RecyclerPool` implementation that uses `ConcurrentLinkedDeque` for recycling instances.
`static class`
`JsonRecyclerPools.LockFreePool`
`RecyclerPool` implementation that uses a lock free linked list for recycling instances.
`static class`
`RecyclerPool.BoundedPoolBase<P extends RecyclerPool.WithPool<P>>`
`RecyclerPool` implementation that uses a bounded queue (`ArrayBlockingQueue` for recycling instances.
`static class`
`RecyclerPool.ConcurrentDequePoolBase<P extends RecyclerPool.WithPool<P>>`
`RecyclerPool` implementation that uses `ConcurrentLinkedDeque` for recycling instances.
`static class`
`RecyclerPool.LockFreePoolBase<P extends RecyclerPool.WithPool<P>>`
`RecyclerPool` implementation that uses a lock free linked list for recycling instances.
Methods in com.fasterxml.jackson.core.util that return types with arguments of type RecyclerPool.StatefulImplBase
Modifier and Type
Method
Description
`protected Optional<RecyclerPool.StatefulImplBase<P>>`
RecyclerPool.StatefulImplBase.`_resolveToShared(RecyclerPool.StatefulImplBase<P> shared)`
Methods in com.fasterxml.jackson.core.util with parameters of type RecyclerPool.StatefulImplBase
Modifier and Type
Method
Description
`protected Optional<RecyclerPool.StatefulImplBase<P>>`
RecyclerPool.StatefulImplBase.`_resolveToShared(RecyclerPool.StatefulImplBase<P> shared)`